Subject: Re: bug#48903: guix substitute: error: TLS error in procedure 'read_from_session_record_port': Error decoding the received TLS packet.
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Sat, 07 Aug 2021 00:23:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> I've tried some to reproduce the issue with the modified scripts below,
>> but in vain.  I'm not sure if my delay is inserted at the right place.
>> I also suspect that my attempt to shuffle the substitute-urls is not
>> really useful, as that's probably what would have happened anyway
>> (although I haven't followed in the code deeply enough to confirm).
>
> Bah.  :-/  Do the two of you still experience the bug initially reported
> here in “real” conditions?
>
> Are we sure we’re using the same Guix + Guile when running the stress
> test and in real conditions?
>
> Thanks for testing!
>
> Ludo’.

I've been doing builds on core-updates, which would previously trigger
this problem rather often, *without* suffering from the problem.

I consider it resolved.  I'm not exactly sure how, which is not
satisfying, but I'm glad it's gone.

Thank you!

Closing.

Maxim